Page MenuHomeFreeBSD

x11-themes/sddm-freebsd-black-theme: improving the port.
ClosedPublic

Authored by rigoletto on Jan 20 2018, 8:28 PM.

Details

Summary
  • switch to DISTVERSION
  • add an OPTION of the default font

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

x11-themes/sddm-freebsd-black-theme/Makefile
24 ↗(On Diff #38259)

Does this need to be an option? Why not make it required? Same applies to your other port, I don't understand why a font (presumably required to make the theme look "right") is an optional dependency.

27 ↗(On Diff #38259)

Indentation issues? (Sorry, hard to tell in phab's web interface)

decke added a subscriber: decke.
This comment was removed by decke.
This revision is now accepted and ready to land.Feb 8 2018, 4:00 PM

Sorry that was the wrong Phabricator ticket. It was meant for D14002.

I'd propose the following patch:

rigoletto marked 2 inline comments as done.

Done. :)

This revision now requires review to proceed.Feb 8 2018, 8:26 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 9 2018, 8:29 PM
This revision was automatically updated to reflect the committed changes.